Package org.codehaus.groovy.ast.builder

## Class AstStringCompiler

- java.lang.Object
- - org.codehaus.groovy.ast.builder.AstStringCompiler

-     public class AstStringCompiler
      extends Object

  This class handles converting Strings to ASTNode lists.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AstStringCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ASTNode>` | `compile​(String script)` | Performs the String source to `List` of statement `ASTNode`.
    `List<ASTNode>` | `compile​(String script, CompilePhase compilePhase, boolean statementsOnly)` | Performs the String source to `List` of `ASTNode`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AstStringCompiler

          public AstStringCompiler()

  - ### Method Detail

    - #### compile

          public List<ASTNode> compile​(String script,
                                       CompilePhase compilePhase,
                                       boolean statementsOnly)

      Performs the String source to `List` of `ASTNode`.
      Parameters:
        `script` - a Groovy script in String form
        `compilePhase` - the int based CompilePhase to compile it to.
        `statementsOnly` -
      Returns:
        `List` of `ASTNode`

    - #### compile

          public List<ASTNode> compile​(String script)

      Performs the String source to `List` of statement `ASTNode`.
      Parameters:
        `script` - a Groovy script in String form
      Returns:
        `List` of statement `ASTNode`
      Since:
        3.0.0